Unit tmnn1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNN1R_p, MNN1R_p;

function tmnn1r: String;

implementation

function tmnn1r: String;
var
N,_i,IERR :Integer;
F :Real;
RM :Array [0..29] of Real;
IRM :Array [0..3] of Integer;
const
X :Array [0..3] of Real = ( -1.0,-2.0,-3.0,-4.0 );
A :Array [0..3] of Real = ( -4.0,-4.0,-4.0,-4.0 );
B :Array [0..3] of Real = ( 4.0,4.0,4.0,4.0 );
XE :Array [0..3] of Real = ( 0.1E-4,0.1E-4,0.1E-4,0.1E-4 );
FE :Real = 0.1E-4;
I0 :Array [0..3] of Integer = ( 1,1,1,1 );
UP :Array [0..10] of Real = ( 0.1E+3,0.1E+3,1.0E-1,0.1E+2,2.0,1E-1,1E-1,
0.1E-15,0.2E+1,0.2E+2,0.8 );
begin
Result := '';  {   }
{   DATA  FORTRAN  }
RM[0] := 200.0;
RM[1] := 200.0;
N := 4;
MNN1R(N,X,XE,A,B,FMNN1R,F,FE,UP,I0,IRM,RM,IERR);
Result := Result + Format('%s',[' F']);
Result := Result + Format('%20.16f ',[F]);
Result := Result + Format('%s',[' FE']);
Result := Result + Format('%20.16f ',[FE]);
Result := Result + Format('%s',[#$0D#$0A + ' X']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' XE']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[XE[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' RM(1),RM(2)']);
Result := Result + Format(' %20.16f %20.16f ',[RM[0],RM[1]]);
Result := Result + Format('%s',[' IERR']);
Result := Result + Format('%4d ',[IERR]);
Result := Result + Format('%s',[' UP']);
Result := Result + Format(' %20.16f ',[UP[8]]) + #$0D#$0A;
UtRes('tmnn1r',Result);  {     tmnn1r.res }
end;

end.
